skb_get_timestamp
Prev | Socket Buffer Functions | Next

## Name

skb_get_timestamp — get timestamp from a skb

## Synopsis

`void skb_get_timestamp (` | const struct sk_buff * | skb,
| struct timeval * | stamp`)`;

## Arguments

`skb`

  skb to get stamp from

`stamp`

  pointer to struct timeval to store stamp in

## Description

Timestamps are stored in the skb as offsets to a base timestamp. This function converts the offset back to a struct timeval and stores it in stamp.

Prev | Up | Next
pskb_trim_rcsum | Home | skb_checksum_complete